CRAN Package Check Results for Package latrend

Last updated on 2024-06-12 17:57:21 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.6.1 26.18 438.06 464.24 OK
r-devel-linux-x86_64-debian-gcc 1.6.1 18.17 127.08 145.25 ERROR
r-devel-linux-x86_64-fedora-clang 1.6.1 659.35 OK
r-devel-linux-x86_64-fedora-gcc 1.6.1 583.34 OK
r-devel-windows-x86_64 1.6.1 22.00 331.00 353.00 OK
r-patched-linux-x86_64 1.6.1 31.85 452.00 483.85 OK
r-release-linux-x86_64 1.6.1 22.08 451.60 473.68 OK
r-release-macos-arm64 1.6.1 278.00 NOTE
r-release-macos-x86_64 1.6.1 254.00 NOTE
r-release-windows-x86_64 1.6.1 21.00 355.00 376.00 OK
r-oldrel-macos-arm64 1.6.1 140.00 NOTE
r-oldrel-macos-x86_64 1.6.1 351.00 NOTE
r-oldrel-windows-x86_64 1.6.1 30.00 422.00 452.00 OK

Check Details

Version: 1.6.1
Check: package dependencies
Result: NOTE Packages suggested but not available for checking: 'testthat', 'roxygen2', 'pkgdown', 'devtools', 'lme4', 'mixtools', 'fda', 'funFEM', 'igraph', 'dtwclust', 'mixAK', 'qqplotr', 'simTool', 'dplyr', 'ggplot2', 'caret', 'tibble' Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.6.1
Check: examples
Result: ERROR Running examples in ‘latrend-Ex.R’ failed The error most likely occurred in: > base::assign(".ptime", proc.time(), pos = "CheckExEnv") > ### Name: lcMethodFlexmix > ### Title: Method interface to flexmix() > ### Aliases: lcMethodFlexmix > > ### ** Examples > > data(latrendData) > if (require("flexmix")) { + method <- lcMethodFlexmix(Y ~ Time, id = "Id", time = "Time", nClusters = 3) + model <- latrend(method, latrendData) + } Loading required package: flexmix Loading required package: lattice --------------------------------------------------------------------------- - Longitudinal clustering using: flexmix --------------------------------------------------------------------------- Method arguments: formula.mb: ~1 time: "Time" id: "Id" nClusters: 3 cluster: NULL model: NULL control: NULL weights: NULL formula: Y ~ Time --------------------------------------------------------------------------- Checking and transforming the training data format. Preparing the training data for fitting... Fitting the method... Error in .checkPackageInstalled(name) : The "lme4" package is required. Install the package to use this method. Run: install.packages("lme4") Calls: latrend ... getREterms -> .loadOptionalPackage -> .checkPackageInstalled Execution halted Examples with CPU (user + system) or elapsed time > 5s user system elapsed latrendBoot 4.72 0.39 7.02 Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.6.1
Check: tests
Result: ERROR Running ‘testthat.R’ [0s/1s] Running the tests in ‘tests/testthat.R’ failed. Complete output: > library(testthat) Error in library(testthat) : there is no package called 'testthat' Execution halted Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.6.1
Check: re-building of vignette outputs
Result: NOTE Note: skipping ‘demo.Rmd’ due to unavailable dependencies: 'ggplot2' Note: skipping ‘implement.Rmd’ due to unavailable dependencies: 'ggplot2' Note: skipping ‘simulation.Rmd’ due to unavailable dependencies: 'ggplot2' Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.6.1
Check: package dependencies
Result: NOTE Package suggested but not available for checking: ‘mixAK’ Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64

Version: 1.6.1
Check: Rd cross-references
Result: NOTE Package unavailable to check Rd xrefs: ‘mixAK’ Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64